# Uses of Interface
org.opensaml.soap.wspolicy.ExactlyOne

Packages that use ExactlyOne
Package
Description
org.opensaml.soap.wspolicy
XMLObject interfaces for WS-Policy 1.2 elements.
org.opensaml.soap.wspolicy.impl
XML Object provider implementations for WS-Policy.

## Uses of ExactlyOne in org.opensaml.soap.wspolicy

Methods in org.opensaml.soap.wspolicy that return types with arguments of type ExactlyOne
Modifier and Type
Method
Description
`List<ExactlyOne>`
OperatorContentType.`getExactlyOnes()`
Get the list of `ExactlyOne` elements.

## Uses of ExactlyOne in org.opensaml.soap.wspolicy.impl

Classes in org.opensaml.soap.wspolicy.impl that implement ExactlyOne
Modifier and Type
Class
Description
`class`
`ExactlyOneImpl`
ExactlyOneImpl.
Methods in org.opensaml.soap.wspolicy.impl that return ExactlyOne
Modifier and Type
Method
Description
`ExactlyOne`
ExactlyOneBuilder.`buildObject()`
Builds a WS-Policy object.
`ExactlyOne`
ExactlyOneBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.soap.wspolicy.impl that return types with arguments of type ExactlyOne
Modifier and Type
Method
Description
`List<ExactlyOne>`
OperatorContentTypeImpl.`getExactlyOnes()`
Get the list of `ExactlyOne` elements.